# Static Wallets List

Use this endpoint to retrieve a list of static addresses associated with a specific business. The list can be filtered by various criteria, such as trackId, address, network, email and orderId. Pagination is also available to fetch the results in smaller sets.

<mark style="color:green;">`POST`</mark> `https://api.oxapay.com/merchants/list/staticaddress`

#### Request Body

<table><thead><tr><th width="136">Name</th><th width="100">Type</th><th width="520">Description</th></tr></thead><tbody><tr><td>merchant<mark style="color:red;">*</mark></td><td>String</td><td>Your merchant API key for authentication and authorization.</td></tr><tr><td>trackId</td><td>integer</td><td>Filter payments by a specific invoice ID.</td></tr><tr><td>page</td><td>integer</td><td>The page number of the results you want to retrieve. Possible values: from 1 to the total number of pages - default 1.</td></tr><tr><td>size</td><td>integer</td><td>Number of records to display per page. Possible values: from 1 to 200. Default: 1.</td></tr><tr><td>network</td><td>string</td><td>Filter payments by the expected <a href="/pages/PDPsC6YSkcay1dmWueRA">blockchain network</a> for the specified crypto currency.</td></tr><tr><td>address</td><td>string</td><td>Filter payments by the expected address. It’s better to filter static addresses.</td></tr><tr><td>email</td><td>string</td><td>Filter payments by the email.</td></tr><tr><td>orderId</td><td>string</td><td>Filter payments by a unique order ID for reference.</td></tr></tbody></table>

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "result": integer, // The result code indicates the success or failure of the request.
  "message": string, // A message providing additional information about the result.
  "data": [
    {
      "trackId": string, // The unique identifier of each payment session of the OxaPay payment gateway, which can be used to query the payment status and report requests (if the request is successful).
      "address": string, // The static address.
      "network": string, // The blockchain network associated with the cryptocurrency.
      "callbackUrl": string, // The URL where payment information will be sent. Use this to receive notifications about the payment status.
      "email": string, // The specified email
      "orderId": string, // The specified orderId
      "description": string, // Additional information or description related to the static address.
      "date": string // The timestamp of the static address generation in Unix time format.
    }
  ],
  "meta": {
    "size": integer, // The number of static addresses returned in the current page.
    "page": integer, // The current page number of the result set.
    "pages": integer, // The total number of pages available based on the number of records and page size.
    "total": integer // The total number of static addresses available for the specified criteria.
  }
}

```

{% endtab %}
{% endtabs %}

Please note that a successful request will return a result code 100. In case of any issues or validation problems, refer to the corresponding [result codes](/legacy/api-reference/result-code-table.md) for further details.

### Example codes

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X POST https://api.oxapay.com/merchants/list/staticaddress \
  -d '{
    "merchant": "YOUR_MERCHANT_API_KEY",
    "size": 20,
    "page": 1
  }'
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php

$url = 'https://api.oxapay.com/merchants/list/staticaddress';

$data = array(
    'merchant' => 'YOUR_MERCHANT_API_KEY',
    'size' => 20,
    'page' => 1
);

$options = array(
    'http' => array(
        'header' => 'Content-Type: application/json',
        'method'  => 'POST',
        'content' => json_encode($data),
    ),
);

$context  = stream_context_create($options);
$response = file_get_contents($url, false, $context);
$result = json_decode($response);
var_dump($result);
?>
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const axios = require('axios');
const url = 'https://api.oxapay.com/merchants/list/staticaddress';
const data = JSON.stringify({
    merchant: 'YOUR_MERCHANT_API_KEY',
    size: 20,
    page: 1
});

axios.post(url, data)
    .then(response => {
        console.log(response.data);
    })
    .catch(error => {
        console.error(error);
    });
```

{% endtab %}

{% tab title="Python" %}

<pre class="language-python"><code class="lang-python">import requests
import json

url = 'https://api.oxapay.com/merchants/list/staticaddress'
data = {
  'merchant': 'YOUR_MERCHANT_API_KEY',
<strong>  'size': 20,
</strong>  'page': 1
}
response = requests.post(url, data=json.dumps(data))
result = response.json()
print(result)
</code></pre>

{% endtab %}
{% endtabs %}

Now you have the example code snippets in cURL, PHP, Node.js, and Python for making a request to the Static Wallets List endpoint.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.oxapay.com/legacy/api-reference/static-wallets-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
